const Discord = require("discord.js");
const bot = new Discord.Client();
const { Webhook, MessageBuilder } = require('discord-webhook-node');
let prefix = ""
let cmddelete = false

bot.on("ready", () => {
    console.log("[Discord]: Bot Online!")
})

async function command(command) {
    bot.on("message", async message => {
        if (message.content === (prefix + command)) {
            if (cmddelete === true) {
                message.delete()
            }
            message.channel.send("test")
        }
    })
}

async function boot(token) {
    bot.login(token).catch(err => {
        if (err) {
            console.log("[Discord]: Invalid Bot Token.");
        }
    })
}

async function prefixset(set) {
    prefix = set
}

async function echo() {
    bot.on("message", async message => {
        if (message.content.startsWith(prefix + "echo")) {
            if (cmddelete === true) {
                message.delete()
            }
            message.channel.send(message.content.split(" ").slice(1).join(" "))
        }
    })
}

async function sendwebhook(url, message) {
    const hook = new Webhook(url);
    hook.send(message);
}

async function cmddeletee(bool) {
    if (bool === true) {
        cmddelete = true;
    } else {
        cmddelete = false;
    }
}

async function embed(author, title, description, footer, color, thumbnail, image) {
    let embed2 = new Discord.MessageEmbed()
    .setAuthor(author)
    .setTitle(title)
    .setDescription(description)
    .setFooter(footer)
    .setThumbnail(thumbnail)
    .setImage(image)
    .setColor(color)

    return embed2
}

module.exports.boot = boot
module.exports.command = command
module.exports.prefix = prefixset
module.exports.echo = echo
module.exports.cmddelete = cmddeletee
module.exports.webhook = sendwebhook
module.exports.embed = embed